Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.functions.extfn
Class ParseHtml

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.extfn.Parse
              com.saxonica.functions.extfn.ParseHtml

All Implemented Interfaces:
  Serializable

    public class ParseHtml

extends Parse

Supports the saxon:parse-html() function, a variant of saxon:parse() that differs only in that it uses the TagSoup HTML parser

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.functions.extfn.Parse
`Parse.ParseCall`

Constructor Summary
`ParseHtml()`

Method Summary
`StructuredQName` | `getFunctionQName()` Get the function name, as a QName
`ExtensionFunctionCall` | `makeCallExpression()` Create a call on this function.

Methods inherited from class com.saxonica.functions.extfn.Parse
`getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType`

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`dependsOnFocus, hasSideEffects, trustResultType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseHtml

    public ParseHtml()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Get the function name, as a QName

  Overrides:
    `getFunctionQName` in class `Parse`
  Returns:
    the QName of the function

### makeCallExpression

    public ExtensionFunctionCall makeCallExpression()

  Create a call on this function. This method is called by the compiler when it identifies a function call that calls this function.

  Overrides:
    `makeCallExpression` in class `Parse`
  Returns:
    an expression representing a call of this extension function

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.